var APIBase = require("../../api.base");
var system = require("../../../system");
var settings = require("../../../../config/settings");
class ActionAPI extends APIBase {
    constructor() {
        super();
        this.orderSve = system.getObject("service.order.orderSve");
        this.businessmenSve = system.getObject("service.business.businessmenSve");

        this.merchantrechargeSve = system.getObject("service.merchant.merchantrechargeSve");
        this.merchantaccountSve = system.getObject("service.merchant.merchantaccountSve");

        this.invoiceSve = system.getObject("service.invoice.invoiceSve");

        this.courierSve = system.getObject("service.common.courierSve");

    }
    /**
     * 接口跳转
     * action_process  执行的流程
     * action_type     执行的类型
     * action_body     执行的参数
     */
    async springboard(pobj, qobj, req) {
        console.log(pobj, pobj.action_type, !pobj.action_type, "--------------------------------------this is xgg admin ----------------------");
        if (!pobj.action_process) {
            return system.getResult(null, "action_process参数不能为空");
        } 
        if (!pobj.action_type) {
            return system.getResult(null, "action_type参数不能为空");
        }
        var result = null;
        switch (pobj.action_process) {
            case "sijibao"://司机宝
                break;
            default:
                result = system.getResult(null, "action_process参数错误");
                break;
        }
        return result;
    }
}
module.exports = ActionAPI;